const MIXSPACE_CRUD_IDS = [
  'createMixspace',
  'updateMixspace',
  'fetchMixspaces',
  'fetchMixspace',
  'deleteMixspace',
] as const;
const BLOG_CRUD_IDS = ['createBlog', 'updateBlog', 'fetchBlogs', 'fetchBlog', 'deleteBlog'] as const;
const PAYIN_METHOD_CRUD_IDS = ['upsertPayinMethod', 'fetchPayinMethods', 'deletePayinMethod'] as const;
// TODO
// const PAYOUT_METHOD_CRUD_IDS = ['upsertPayoutMethod', 'fetchPayoutMethods', 'deletePayoutMethod'] as const;
const PAYOUT_METHOD_CRUD_IDS = [] as const;
const PAYOUT_METHID_SPECIAL_IDS = ['payoutMethodStripeAuthorize', 'payoutMethodStripeToken'] as const;

export const ROUTE_IDS = [
  'localSignup',
  'signout',
  'localSignin',
  'googleAuthInit',
  'resetPassword',
  ...BLOG_CRUD_IDS,
  ...MIXSPACE_CRUD_IDS,
  'payinRoute',
  ...PAYIN_METHOD_CRUD_IDS,
  ...PAYOUT_METHOD_CRUD_IDS,
  ...PAYOUT_METHID_SPECIAL_IDS,
] as const;
export const FIRESTORE_API_GET_LIMIT = 1000;
// dupe with graph inner constant; checked for validity
export const MAX_HISTORICAL_DATE_MS = 8640000000000000; // not max integer
