"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MAX_HISTORICAL_DATE_MS = exports.FIRESTORE_API_GET_LIMIT = exports.ROUTE_IDS = void 0;
const MIXSPACE_CRUD_IDS = [
    'createMixspace',
    'updateMixspace',
    'fetchMixspaces',
    'fetchMixspace',
    'deleteMixspace',
];
const BLOG_CRUD_IDS = ['createBlog', 'updateBlog', 'fetchBlogs', 'fetchBlog', 'deleteBlog'];
const PAYIN_METHOD_CRUD_IDS = ['upsertPayinMethod', 'fetchPayinMethods', 'deletePayinMethod'];
// TODO
// const PAYOUT_METHOD_CRUD_IDS = ['upsertPayoutMethod', 'fetchPayoutMethods', 'deletePayoutMethod'] as const;
const PAYOUT_METHOD_CRUD_IDS = [];
const PAYOUT_METHID_SPECIAL_IDS = ['payoutMethodStripeAuthorize', 'payoutMethodStripeToken'];
exports.ROUTE_IDS = [
    'localSignup',
    'signout',
    'localSignin',
    'googleAuthInit',
    'resetPassword',
    ...BLOG_CRUD_IDS,
    ...MIXSPACE_CRUD_IDS,
    'payinRoute',
    ...PAYIN_METHOD_CRUD_IDS,
    ...PAYOUT_METHOD_CRUD_IDS,
    ...PAYOUT_METHID_SPECIAL_IDS,
];
exports.FIRESTORE_API_GET_LIMIT = 1000;
// dupe with graph inner constant; checked for validity
exports.MAX_HISTORICAL_DATE_MS = 8640000000000000; // not max integer
