"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.firebaseCommonIdParser = exports.FBIDSoftRegexS = void 0;
const zod_1 = require("zod");
const FBIDSoftRegex = /^[a-zA-Z0-9-_]{1,50}$/;
exports.FBIDSoftRegexS = FBIDSoftRegex.toString();
exports.firebaseCommonIdParser = zod_1.z
    .string()
    .regex(FBIDSoftRegex)
    .refine((s) => s.indexOf('null') === -1)
    .refine((s) => s.indexOf('undefined'));
